API ReferenceWorkflows
Back to Platform

PUT /workflows/{id}/actions/{id}

PUT
/workflows/{id}/actions/{id}

PUT operation for /workflows/{id}/actions/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://dev-rest.onboard.io/workflows/string/actions/{id}" \  -H "Content-Type: application/json" \  -d '{    "action_type": "send_email",    "config": {},    "trigger": "string"  }'
{
  "id": 1,
  "action_type": "send_email",
  "action_type_display": "string",
  "config": {},
  "trigger": "string"
}
Empty
Empty
Empty

How is this guide?